Package com.avaya.clientservices.call.feature

## Class FeatureException

- java.lang.Object
- - java.lang.Throwable
  - - java.lang.Exception
    - - com.avaya.clientservices.call.feature.FeatureException

- All Implemented Interfaces:
    `java.io.Serializable`

      public class FeatureException
      extends java.lang.Exception

  Exception representing a feature invocation failure.
  See Also:
    Serialized Form

- - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `FeatureException​(FeatureError error)` | Constructs a FeatureException object initialized with Feature error.
    `FeatureException​(java.lang.String detailMessage, FeatureError error, int protocolErrorCode, java.lang.String protocolErrorReason, int protocolWarningCode, java.lang.String protocolWarning)` | Constructs a FeatureException object from specified parameters.

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `FeatureError` | `getError()` |
    `int` | `getProtocolErrorCode()` |
    `java.lang.String` | `getProtocolErrorReason()` |
    `java.lang.String` | `getProtocolWarning()` | Returns the warning string from the underlying signaling protocol.
    `int` | `getProtocolWarningCode()` |

    - ### Methods inherited from class java.lang.Throwable

      `addSuppressed, fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, getSuppressed, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

    - ### Methods inherited from class java.lang.Object

      `equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### FeatureException

          public FeatureException​(FeatureError error)

      Constructs a FeatureException object initialized with Feature error.
      Parameters:
        `error` - The Feature error.

    - #### FeatureException

          public FeatureException​(java.lang.String detailMessage,
                                  FeatureError error,
                                  int protocolErrorCode,
                                  java.lang.String protocolErrorReason,
                                  int protocolWarningCode,
                                  java.lang.String protocolWarning)

      Constructs a FeatureException object from specified parameters.
      Parameters:
        `detailMessage` - A message that describes the error.
        `error` - The feature invocation error.
        `protocolErrorCode` - The error code from the underlying signaling protocol..
        `protocolErrorReason` - The reason string from the underlying signaling protocol.
        `protocolWarningCode` - The error code from the underlying signaling protocol.
        `protocolWarning` - The warning string from the underlying signaling protocol.

  - ### Method Detail

    - #### getError

          public FeatureError getError()

      Returns:
        session error type.

    - #### getProtocolErrorCode

          public int getProtocolErrorCode()

      Returns:
        the error code from the underlying signaling protocol.

    - #### getProtocolErrorReason

          public java.lang.String getProtocolErrorReason()

      Returns:
        the error reason string from the underlying signaling protocol.

    - #### getProtocolWarningCode

          public int getProtocolWarningCode()

      Returns:
        the warning code from the underlying signaling protocol.

    - #### getProtocolWarning

          public java.lang.String getProtocolWarning()

      Returns the warning string from the underlying signaling protocol.
      Returns:
        the warning string from the underlying signaling protocol.